diff --git python-django-mptt/python-django-mptt.spec python-django-mptt/python-django-mptt.spec.tmp
index f95e68f869..dce00dc9d7 100644
--- python-django-mptt/python-django-mptt.spec
+++ python-django-mptt/python-django-mptt.spec.tmp
@@ -9,7 +9,7 @@
 Summary:    Utilities for implementing Modified Preorder Tree Traversal
 Name:       python-django-mptt
 Version:    0.8.6
-Release:    4%{?dist}
+Release:    5%{?dist}
 License:    MIT
 Group:      Development/Libraries
 URL:        http://github.com/django-mptt/django-mptt
@@ -29,17 +29,23 @@ BuildRequires:  python-django
 BuildRequires:  python3-django
 %endif
 
-Requires:       python-django
 
 
-Provides:       %{pkgname} = %{version}-%{release}
-Obsoletes:      %{pkgname} < %{obs_ver}
+%global _description\
+Utilities for implementing Modified Preorder Tree Traversal (MPTT)\
+with your Django Model classes and working with trees of Model instances.\
 
 
-%description
-Utilities for implementing Modified Preorder Tree Traversal (MPTT)
-with your Django Model classes and working with trees of Model instances.
+%description %_description
 
+%package -n python2-django-mptt
+Summary: %summary
+Obsoletes:      %{pkgname} < %{obs_ver}
+Provides:       %{pkgname} = %{version}-%{release}
+Requires:       python-django
+%{?python_provide:%python_provide python2-django-mptt}
+
+%description -n python2-django-mptt %_description
 
 %if 0%{?with_python3}
 %package -n python3-django-mptt
@@ -108,7 +114,7 @@ popd
 %endif # with_python3
 
 
-%files -f django.lang
+%files -n python2-django-mptt -f django.lang
 %doc README.rst NOTES
 %license LICENSE
 %{python_sitelib}/django_mptt-%{version}-py2.*.egg-info
@@ -134,6 +140,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.6-5
+- Python 2 subpackage renamed to python2-django-mptt
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.6-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-nose/python-django-nose.spec python-django-nose/python-django-nose.spec.tmp
index 31c343e1e0..cc6e30bd9c 100644
--- python-django-nose/python-django-nose.spec
+++ python-django-nose/python-django-nose.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-django-nose
 Version:        1.4.3
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        Django test runner that uses nose
 
 License:        BSD
@@ -18,15 +18,22 @@ Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%
 BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
-Requires:       python-nose
-Requires:       python-django
-Provides:       django-nose = %{version}-%{release}
-Provides:       python2-django-nose = %{version}-%{release}
 
 
-%description
+%global _description\
 Django test runner that uses nose.
 
+%description %_description
+
+%package -n python2-%{pkgname}
+Summary: %summary
+Provides:       django-nose = %{version}-%{release}
+Requires:       python-django
+Requires:       python-nose
+%{?python_provide:%python_provide python2-%{pkgname}}
+
+%description -n python2-%{pkgname} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{pkgname}
 Summary:        Django test runner that uses nose
@@ -61,7 +68,7 @@ rm -rf %{buildroot}/%{python_sitelib}/testapp
 rm -rf %{buildroot}/%{python3_sitelib}/testapp
 
 
-%files
+%files -n python2-%{pkgname}
 %doc README.rst
 %license LICENSE
 %{python_sitelib}/django_nose
@@ -77,6 +84,10 @@ rm -rf %{buildroot}/%{python3_sitelib}/testapp
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4.3-6
+- Python 2 subpackage renamed to python2-django-nose
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-profiles/python-django-profiles.spec python-django-profiles/python-django-profiles.spec.tmp
index 8e5e21327f..96dc866bed 100644
--- python-django-profiles/python-django-profiles.spec
+++ python-django-profiles/python-django-profiles.spec.tmp
@@ -2,7 +2,7 @@
 %global         obs_ver 0.2-3
 Name:           python-django-profiles
 Version:        0.2 
-Release:        14%{?dist}
+Release:        15%{?dist}
 Summary:        A fairly simple user-profile management application for Django
 
 License:        BSD
@@ -15,19 +15,26 @@ Source0:        django-profiles.tar.bz2
 
 BuildArch:      noarch
 BuildRequires:  python2-devel
-Requires:       python-django
-
-Provides:               %{pkgname} = %{version}-%{release}
-Obsoletes:              %{pkgname} < %{obs_ver}
 
 
-%description
-A fairly simple user-profile management application for
-Django, designed to make the management of site-specific user
-profiles as painless as possible. It requires a functional
-installation of Django 1.0 or newer and provides a useful complement
+%global _description\
+A fairly simple user-profile management application for\
+Django, designed to make the management of site-specific user\
+profiles as painless as possible. It requires a functional\
+installation of Django 1.0 or newer and provides a useful complement\
 to `django-registration`, but has no other dependencies.
 
+%description %_description
+
+%package -n python2-django-profiles
+Summary: %summary
+Obsoletes:              %{pkgname} < %{obs_ver}
+Provides:               %{pkgname} = %{version}-%{release}
+Requires:       python-django
+%{?python_provide:%python_provide python2-django-profiles}
+
+%description -n python2-django-profiles %_description
+
 %prep
 %setup -q -n ubernostrum-django-profiles-daac18511394
 
@@ -40,7 +47,7 @@ to `django-registration`, but has no other dependencies.
 %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-django-profiles
 %doc CHANGELOG.txt README.txt LICENSE.txt docs/*
 %{python_sitelib}/profiles
 %{python_sitelib}/django_profiles*
@@ -48,6 +55,10 @@ to `django-registration`, but has no other dependencies.
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2-15
+- Python 2 subpackage renamed to python2-django-profiles
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-pytest/python-django-pytest.spec python-django-pytest/python-django-pytest.spec.tmp
index 501981152a..02858c14a0 100644
--- python-django-pytest/python-django-pytest.spec
+++ python-django-pytest/python-django-pytest.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.2.0
-Release:        14%{?dist}
+Release:        15%{?dist}
 Summary:        Allows you to use py.test as a django test runner
 
 License:        BSD
@@ -19,14 +19,20 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif
 
-Requires:       python-django
-Requires:       pytest
+%global _description\
+This project allows you to use py.test as a django test runner,\
+instead of the default test runner.
+
+%description %_description
 
+%package -n python2-%{pypi_name}
+Summary: %summary
 Provides:       %{pypi_name} = %{version}-%{release}
+Requires:       pytest
+Requires:       python-django
+%{?python_provide:%python_provide python2-%{pypi_name}}
 
-%description
-This project allows you to use py.test as a django test runner,
-instead of the default test runner.
+%description -n python2-%{pypi_name} %_description
 
 %if 0%{?with_python3}
 %package -n     python3-%{pypi_name}
@@ -72,7 +78,7 @@ popd
 %{__python} setup.py install --skip-build --root %{buildroot}
 
  
-%files
+%files -n python2-%{pypi_name}
 %doc LICENSE.txt README.md
 %{python_sitelib}/django_pytest/
 %{python_sitelib}/django_pytest-%{version}-py2.7.egg-info
@@ -83,6 +89,10 @@ popd
 %{python3_sitelib}/django_pytest-%{version}-py3.?.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-15
+- Python 2 subpackage renamed to python2-django-pytest
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-sekizai/python-django-sekizai.spec python-django-sekizai/python-django-sekizai.spec.tmp
index a959529711..1734e10736 100644
--- python-django-sekizai/python-django-sekizai.spec
+++ python-django-sekizai/python-django-sekizai.spec.tmp
@@ -13,7 +13,7 @@
 
 Name:           python-%{pkgname}
 Version:        0.8.1
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        Django Template Blocks with extra functionality
 Group:          Development/Libraries
 License:        BSD
@@ -32,18 +32,25 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif
 
-Requires:       python-django-classy-tags >= 0.3.1
+%global _description\
+Sekizai means “blocks” in Japanese, and that’s what this app provides.\
+A fresh look at blocks. With django-sekizai you can define placeholders\
+where your blocks get rendered and at different places in your templates\
+append to those blocks. This is especially useful for css and javascript.\
+Your sub-templates can now define css and Javascript files to be included,\
+and the css will be nicely put at the top and the Javascript to the bottom,\
+just like you should. Also sekizai will ignore any duplicate content\
+in a single block.
+
+%description %_description
+
+%package -n python2-%{pkgname}
+Summary: %summary
 Provides:       %{pkgname} = %{version}-%{release}
+Requires:       python-django-classy-tags >= 0.3.1
+%{?python_provide:%python_provide python2-%{pkgname}}
 
-%description
-Sekizai means “blocks” in Japanese, and that’s what this app provides.
-A fresh look at blocks. With django-sekizai you can define placeholders
-where your blocks get rendered and at different places in your templates
-append to those blocks. This is especially useful for css and javascript.
-Your sub-templates can now define css and Javascript files to be included,
-and the css will be nicely put at the top and the Javascript to the bottom,
-just like you should. Also sekizai will ignore any duplicate content
-in a single block.
+%description -n python2-%{pkgname} %_description
 
 %package doc
 Summary:        Documentation for %{pkgname}
@@ -130,7 +137,7 @@ grep %{python3_sitelib} %{pkgname}.files > python3-%{pkgname}.files
 %endif
 
 
-%files
+%files -n python2-%{pkgname}
 %doc LICENSE README.rst
 %dir %{python2_sitelib}/sekizai
 %{python2_sitelib}/sekizai/*.py
@@ -178,6 +185,10 @@ grep %{python3_sitelib} %{pkgname}.files > python3-%{pkgname}.files
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.1-10
+- Python 2 subpackage renamed to python2-django-sekizai
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-simple-captcha/python-django-simple-captcha.spec python-django-simple-captcha/python-django-simple-captcha.spec.tmp
index 796abd64a0..60a7964328 100644
--- python-django-simple-captcha/python-django-simple-captcha.spec
+++ python-django-simple-captcha/python-django-simple-captcha.spec.tmp
@@ -7,7 +7,7 @@
 Summary:	Django application to add captcha images to any Django form
 Name:		python-django-simple-captcha
 Version:	0.4.5
-Release:	6%{?dist}
+Release:	7%{?dist}
 License:	MIT
 Group:		Development/Libraries
 URL:		https://github.com/mbi/django-simple-captcha
@@ -23,18 +23,24 @@ BuildRequires:	python3-devel
 BuildRequires:	python3-setuptools
 %endif
 
-Requires:		python-django
-Requires:		python-pillow
-Requires:		flite
-Requires:       python-six
 
-Provides:		%{pkgname} = %{version}-%{release}
-Obsoletes:		%{pkgname} < %{obs_ver}
+%global _description\
+Django Simple Captcha is an extremely simple, yet highly customizable\
+Django application to add captcha images to any Django form
 
+%description %_description
 
-%description
-Django Simple Captcha is an extremely simple, yet highly customizable
-Django application to add captcha images to any Django form
+%package -n python2-%{pkgname}
+Summary: %summary
+Obsoletes:		%{pkgname} < %{obs_ver}
+Provides:		%{pkgname} = %{version}-%{release}
+Requires:       python-six
+Requires:		flite
+Requires:		python-pillow
+Requires:		python-django
+%{?python_provide:%python_provide python2-%{pkgname}}
+
+%description -n python2-%{pkgname} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{pkgname}
@@ -80,7 +86,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-%{pkgname}
 %doc LICENSE MANIFEST.in PKG-INFO
 %{python_sitelib}/captcha/
 %{python_sitelib}/django_simple_captcha-%{version}-py2*
@@ -94,6 +100,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.5-7
+- Python 2 subpackage renamed to python2-django-simple-captcha
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.5-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-south/python-django-south.spec python-django-south/python-django-south.spec.tmp
index 5254c3045e..dd80393b64 100644
--- python-django-south/python-django-south.spec
+++ python-django-south/python-django-south.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-django-south
 Version:        0.8.4
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        Intelligent schema migrations for Django apps
 
 Group:          Development/Languages
@@ -13,21 +13,29 @@ Source:         http://www.aeracode.org/releases/south/south-%{version}.tar.gz
 BuildArch:      noarch
 BuildRequires:  python2-devel 
 BuildRequires:  python-setuptools
-Requires:       python-django
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif
 
 # last built as Django-south-0:0.7.3-2.fc15.noarch
-Provides: Django-south = %{version}-%{release} 
-Obsoletes: Django-south < 0:0.7.3-3
 
-%description
-South brings migrations to Django applications. Its main objectives are to
-provide a simple, stable and database-independent migration layer to prevent
+%global _description\
+South brings migrations to Django applications. Its main objectives are to\
+provide a simple, stable and database-independent migration layer to prevent\
 all the hassle schema changes over time bring to your Django applications.
 
+%description %_description
+
+%package -n python2-django-south
+Summary: %summary
+Obsoletes: Django-south < 0:0.7.3-3
+Provides: Django-south = %{version}-%{release}
+Requires:       python-django
+%{?python_provide:%python_provide python2-django-south}
+
+%description -n python2-django-south %_description
+
 %if 0%{?with_python3}
 %package -n python3-django-south
 Summary:        Intelligent schema migrations for Django apps
@@ -68,7 +76,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-django-south
 %doc README
 %{python_sitelib}/south
 %{python_sitelib}/South-%{version}-py?.?.egg-info
@@ -81,6 +89,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.4-11
+- Python 2 subpackage renamed to python2-django-south
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.4-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-staticfiles/python-django-staticfiles.spec python-django-staticfiles/python-django-staticfiles.spec.tmp
index 08127246b0..3aae3ded15 100644
--- python-django-staticfiles/python-django-staticfiles.spec
+++ python-django-staticfiles/python-django-staticfiles.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-django-staticfiles
 Version:        1.2.1
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        A Django app that provides helpers for serving static files
 
 Group:          Development/Languages
@@ -11,18 +11,26 @@ Source:         http://pypi.python.org/packages/source/d/django-staticfiles/djan
 BuildArch:      noarch
 BuildRequires:  python2-devel 
 BuildRequires:  python-setuptools
-Requires:       python-django
-Requires:       python-django-appconf
 
-Provides: django-staticfiles = %{version}-%{release} 
 # Because of the renaming mechanism, the next should stay forever in this package.
-Obsoletes: django-staticfiles < 0.3.2-6
 
-%description
-This is a Django app that provides helpers for serving static files.
-The main website for django-staticfiles is github.com/jezdez/django-staticfiles 
+%global _description\
+This is a Django app that provides helpers for serving static files.\
+The main website for django-staticfiles is github.com/jezdez/django-staticfiles\
 where you can also file tickets.
 
+%description %_description
+
+%package -n python2-django-staticfiles
+Summary: %summary
+Obsoletes: django-staticfiles < 0.3.2-6
+Provides: django-staticfiles = %{version}-%{release}
+Requires:       python-django-appconf
+Requires:       python-django
+%{?python_provide:%python_provide python2-django-staticfiles}
+
+%description -n python2-django-staticfiles %_description
+
 %prep
 %setup -q -n django-staticfiles-%{version}
 rm -f docs/_build/html/.buildinfo
@@ -34,12 +42,16 @@ rm -rf django_staticfiles.egg-info
 %install
 %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
-%files
+%files -n python2-django-staticfiles
 %doc docs/ LICENSE AUTHORS README.rst
 %{python_sitelib}/staticfiles
 %{python_sitelib}/django_staticfiles-%{version}-py?.?.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.1-11
+- Python 2 subpackage renamed to python2-django-staticfiles
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-django-tagging/python-django-tagging.spec python-django-tagging/python-django-tagging.spec.tmp
index d689090aa6..03850dfb37 100644
--- python-django-tagging/python-django-tagging.spec
+++ python-django-tagging/python-django-tagging.spec.tmp
@@ -7,7 +7,7 @@
 %global pkgname django-tagging
 Name:           python-django-tagging
 Version:        0.4.5
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        A generic tagging application for Django projects
 
 Group:          Development/Languages
@@ -17,18 +17,26 @@ Source0:        https://files.pythonhosted.org/packages/source/d/%{pkgname}/%{pk
 
 BuildArch:      noarch
 BuildRequires:  python2-devel
-Requires:       python-django
 BuildRequires:  python-django
 
-Provides:       %{pkgname} = %{version}-%{release}
 # python-django-tagging-0.3.1-4 is the first renamed version
-Obsoletes:      %{pkgname} < 0.3.1-4
 
-%description
-A generic tagging application for Django projects, which allows association
-of a number of tags with any Model instance and makes retrieval of tags
-simple.
+%global _description\
+A generic tagging application for Django projects, which allows association\
+of a number of tags with any Model instance and makes retrieval of tags\
+simple.\
+
 
+%description %_description
+
+%package -n python2-django-tagging
+Summary: %summary
+Obsoletes:      %{pkgname} < 0.3.1-4
+Provides:       %{pkgname} = %{version}-%{release}
+Requires:       python-django
+%{?python_provide:%python_provide python2-django-tagging}
+
+%description -n python2-django-tagging %_description
 
 %if 0%{?with_python3} > 0
 %package -n python3-django-tagging
@@ -64,7 +72,7 @@ simple.
 %py3_install
 %endif
 
-%files
+%files -n python2-django-tagging
 %doc CHANGELOG.txt README.rst docs/*
 %license LICENSE.txt
 %{python_sitelib}/tagging
@@ -79,6 +87,10 @@ simple.
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.5-5
+- Python 2 subpackage renamed to python2-django-tagging
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.5-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-djvulibre/python-djvulibre.spec python-djvulibre/python-djvulibre.spec.tmp
index 4a4b4a946c..c4666f9a39 100644
--- python-djvulibre/python-djvulibre.spec
+++ python-djvulibre/python-djvulibre.spec.tmp
@@ -9,7 +9,7 @@
 
 Name:           python-djvulibre
 Version:        0.3.9
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        Python bindings for the DjVuLibre library
 Group:          Development/Libraries
 
@@ -30,10 +30,18 @@ BuildRequires:  python-sphinx10
 BuildRequires:  python-sphinx >= 1.0
 %endif 
 
-%description
-python-djvulibre is a set of Python bindings for the DjVuLibre library, an open
+%global _description\
+python-djvulibre is a set of Python bindings for the DjVuLibre library, an open\
 source implementation of DjVu
 
+%description %_description
+
+%package -n python2-djvulibre
+Summary: %summary
+%{?python_provide:%python_provide python2-djvulibre}
+
+%description -n python2-djvulibre %_description
+
 %package doc
 Summary:        Documentation for python-djvulibre
 Group:          Documentation
@@ -68,7 +76,7 @@ sed -i 's/\r$//' build/sphinx/html/_static/jquery.js
 %check
 LC_ALL='en_US.UTF-8' %{__python2} setup.py nosetests
 
-%files
+%files -n python2-djvulibre
 # For arch-specific packages: sitearch
 %doc COPYING doc/changelog doc/credits.txt
 %{python2_sitearch}/*
@@ -77,6 +85,10 @@ LC_ALL='en_US.UTF-8' %{__python2} setup.py nosetests
 %doc build/sphinx/html/* examples
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.9-10
+- Python 2 subpackage renamed to python2-djvulibre
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.9-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-dmidecode/python-dmidecode.spec python-dmidecode/python-dmidecode.spec.tmp
index bcbff67b0d..f964e8bbf6 100644
--- python-dmidecode/python-dmidecode.spec
+++ python-dmidecode/python-dmidecode.spec.tmp
@@ -1,7 +1,7 @@
 Name: python-dmidecode
 Summary: Python module to access DMI data
 Version: 3.12.2
-Release: 7%{?dist}
+Release: 8%{?dist}
 License: GPLv2
 Group: System Environment/Libraries
 URL: http://projects.autonomy.net.au/python-dmidecode/
@@ -15,14 +15,21 @@ BuildRequires: libxml2-python
 BuildRequires: python3-devel
 BuildRequires: libxml2-python3
 
-Requires: libxml2-python
+%global _description\
+python-dmidecode is a python extension module that uses the\
+code-base of the 'dmidecode' utility, and presents the data\
+as python data structures or as XML data using libxml2.\
+\
 
-%description
-python-dmidecode is a python extension module that uses the
-code-base of the 'dmidecode' utility, and presents the data
-as python data structures or as XML data using libxml2.
 
+%description %_description
 
+%package -n python2-dmidecode
+Summary: %summary
+Requires: libxml2-python
+%{?python_provide:%python_provide python2-dmidecode}
+
+%description -n python2-dmidecode %_description
 
 %package -n python3-dmidecode
 Summary: Python 3 module to access DMI data
@@ -74,7 +81,7 @@ for PY in python2 python3; do
 done
 
 
-%files
+%files -n python2-dmidecode
 %license python2/doc/LICENSE python2/doc/AUTHORS python2/doc/AUTHORS.upstream
 %doc python2/README python2/doc/README.upstream
 %{python2_sitearch}/dmidecodemod.so
@@ -93,6 +100,10 @@ done
 %{_datadir}/python-dmidecode/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.12.2-8
+- Python 2 subpackage renamed to python2-dmidecode
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.12.2-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-dockerpty/python-dockerpty.spec python-dockerpty/python-dockerpty.spec.tmp
index de9a2ed572..613f296ec1 100644
--- python-dockerpty/python-dockerpty.spec
+++ python-dockerpty/python-dockerpty.spec.tmp
@@ -11,7 +11,7 @@
 
 Name:           python-%{upstream_name}
 Version:        0.4.1
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        Python library to use the pseudo-tty of a docker container
 
 Group:          Development/Libraries
@@ -19,15 +19,23 @@ License:        ASL 2.0
 URL:            https://github.com/%{owner}/%{upstream_name}
 Source0:        https://github.com/%{owner}/%{upstream_name}/archive/%{commit}/%{upstream_name}-%{commit}.tar.gz
 
-Requires:       python-six
 BuildRequires:  python-devel python-setuptools python-six
 
 BuildArch:      noarch
 
-%description
-Provides the functionality needed to operate the pseudo-tty (PTY) allocated to
+%global _description\
+Provides the functionality needed to operate the pseudo-tty (PTY) allocated to\
 a docker container, using the Python client
 
+%description %_description
+
+%package -n python2-%{upstream_name}
+Summary: %summary
+Requires:       python-six
+%{?python_provide:%python_provide python2-%{upstream_name}}
+
+%description -n python2-%{upstream_name} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{upstream_name}
 Summary:        Python library to use the pseudo-tty of a docker container
@@ -68,7 +76,7 @@ a docker container, using the Python client
 # LANG=en_US.utf8 py.test-%%{python2_version} -vv tests
 
 
-%files
+%files -n python2-%{upstream_name}
 %doc README.md LICENSE.txt MANIFEST.in
 %dir %{python2_sitelib}/dockerpty
 %{python2_sitelib}/dockerpty/*
@@ -86,6 +94,10 @@ a docker container, using the Python client
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.1-8
+- Python 2 subpackage renamed to python2-dockerpty
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-docx/python-docx.spec python-docx/python-docx.spec.tmp
index baa3be326d..da1d687c50 100644
--- python-docx/python-docx.spec
+++ python-docx/python-docx.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:		python-docx
 Version:	0.8.5
-Release:	9%{?dist}
+Release:	10%{?dist}
 Summary:	Create and update Microsoft Word .docx files
 
 License:	MIT
@@ -15,7 +15,6 @@ BuildArch:	noarch
  
 BuildRequires:	python-devel
 BuildRequires:	python-lxml
-Requires:       python-lxml
 # test requirements
 BuildRequires:	python-behave	>= 1.2.3
 BuildRequires:	pyparsing		>= 2.0.1
@@ -35,7 +34,6 @@ Summary:	Create and update Microsoft Word .docx files
 
 BuildRequires:	python3-devel
 BuildRequires:	python3-lxml
-Requires:       python3-lxml
 #Testing requirements
 
 # python-behave	Not available for python3
@@ -52,9 +50,19 @@ Python library for creating and updating Microsoft Word (.docx) files.
 %endif
 
 
-%description
+%global _description\
 Python library for creating and updating Microsoft Word (.docx) files.
 
+%description %_description
+
+%package -n python2-%{pname}
+Summary: %summary
+Requires:       python3-lxml
+Requires:       python-lxml
+%{?python_provide:%python_provide python2-%{pname}}
+
+%description -n python2-%{pname} %_description
+
 %prep
 %setup -qn %{name}-%{version}
 # Remove bundled egg-info
@@ -82,7 +90,7 @@ behave --stop
 %{__python3} -m pytest
 %endif
 
-%files
+%files -n python2-%{pname}
 %doc README.rst 
 %license LICENSE
 %{python2_sitelib}/%{pname}
@@ -97,6 +105,10 @@ behave --stop
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.5-10
+- Python 2 subpackage renamed to python2-docx
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.5-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-doit/python-doit.spec python-doit/python-doit.spec.tmp
index 7a2996e9a4..223087e35f 100644
--- python-doit/python-doit.spec
+++ python-doit/python-doit.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-doit
 Version:        0.28.0
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Automation Tool
 
 License:        MIT
@@ -22,20 +22,28 @@ BuildRequires:  python-sphinx
 BuildRequires:  python-mock
 BuildRequires:  strace
 
-Requires:       python-inotify
-Requires:       python-configparser
-%description
-python-doit is a build tool (in the same class as make, cmake, scons,
-ant and others)
+%global _description\
+python-doit is a build tool (in the same class as make, cmake, scons,\
+ant and others)\
+\
+python-doit can be used as:\
+  * a build tool (generic and flexible)\
+  * home of your management scripts (it helps you organize and combine\
+   shell scripts and python scripts)\
+  * a functional tests runner (combine together different tools)\
+  * a configuration management system\
+  * manage computational pipelines\
 
-python-doit can be used as:
-  * a build tool (generic and flexible)
-  * home of your management scripts (it helps you organize and combine
-   shell scripts and python scripts)
-  * a functional tests runner (combine together different tools)
-  * a configuration management system
-  * manage computational pipelines
 
+%description %_description
+
+%package -n python2-doit
+Summary: %summary
+Requires:       python-configparser
+Requires:       python-inotify
+%{?python_provide:%python_provide python2-doit}
+
+%description -n python2-doit %_description
 
 %package -n python3-doit
 Summary:        Automation Tool
@@ -107,7 +115,7 @@ install -p -D -m 0644 bash_completion_doit %{buildroot}%{_sysconfdir}/bash_compl
 #popd
 
 
-%files
+%files -n python2-doit
 %{_bindir}/doit
 %doc LICENSE
 %doc README.rst
@@ -129,6 +137,10 @@ install -p -D -m 0644 bash_completion_doit %{buildroot}%{_sysconfdir}/bash_compl
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.28.0-9
+- Python 2 subpackage renamed to python2-doit
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.28.0-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
